%global _empty_manifest_terminate_build 0
Name:           python-monascaclient
Version:        2.3.0
Release:        3
Summary:        Monasca API Client Library
License:        Apache-2.0
URL:            https://docs.openstack.org/python-monascaclient/latest/
Source0:        https://files.pythonhosted.org/packages/fa/1f/43fa4e64a2a3ef9807a2fd40bfecd75e1709859f071539a6391a83fb3534/python-monascaclient-2.3.0.tar.gz
BuildArch:      noarch
%description
This is a client library for Monasca built to interface with the
Monasca API. It provides a Python API (the monascaclient module) and a command-
line tool (monasca).

%package -n python3-monascaclient
Summary:        Monasca API Client Library
Provides:       python-monascaclient
# Base build requires
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
# General requires
BuildRequires:  python3-babel
BuildRequires:  python3-prettytable
BuildRequires:  python3-pyyaml
BuildRequires:  python3-iso8601
BuildRequires:  python3-osc-lib
BuildRequires:  python3-oslo-serialization
BuildRequires:  python3-oslo-utils == 4.8.0
# General requires
Requires:       python3-babel
Requires:       python3-prettytable
Requires:       python3-pyyaml
Requires:       python3-iso8601
Requires:       python3-osc-lib
Requires:       python3-oslo-serialization
Requires:       python3-oslo-utils == 4.8.0
Requires:       python3-pbr
%description -n python3-monascaclient
This is a client library for Monasca built to interface with the
Monasca API. It provides a Python API (the monascaclient module) and a command-
line tool (monasca).

%package help
Summary:        Monasca API Client Library
Provides:       python3-monascaclient-doc
%description help
This is a client library for Monasca built to interface with the
Monasca API. It provides a Python API (the monascaclient module) and a command-
line tool (monasca).

%prep
%autosetup -n python-monascaclient-%{version}

%build
%py3_build

%install
%py3_install

install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

# hacking doesn't satisfy the required version
#%check
#%{__python3} setup.py test

%files -n python3-monascaclient -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Wed Mar 01 2023 OpenStack_SIG <openstack@openeuler.org> - 2.3.0-3
- Fix install error

* Tue Oct 25 2022 wangxiyuan <wangxiyuan1007@gmail.com> 2.3.0-2
- Skip check part

* Mon Feb 14 2022 OpenStack_SIG <openstack@openeuler.org> - 2.3.0-1
- Init package python3-monascaclient of version 2.3.0

